Impossible d'installer ou désinstaller des paquets

Share here your tips or issues concerning WAPT Console or WAPT Agent / Venez ici partager vos problèmes et astuces concernants la console et l'agent WAPT
Règles du forum
Règles du forum communautaire
* English support on www.reddit.com/r/wapt
* Le support communautaire en français se fait sur ce forum
* Merci de préfixer le titre du topic par [RESOLU] s'il est résolu.
* Merci de ne pas modifier un topic qui est taggé [RESOLU]. Ouvrez un nouveau topic en référençant l'ancien
* Préciser version de WAPT installée ( 1.6.1 / 1.7.4 / 1.8.2 / etc.) AINSI QUE l'édition Enterprise / Community
* Préciser OS du serveur (Linux / Windows) et version (Debian Stretch/Buster - CentOS 7 - Windows Server 2012/2016/2019)
* Préciser OS de la machine d'administration/création des paquets (Windows 7 / 10)
* Comme tout forum communautaire, le support est fait bénévolement par les membres. Si vous avez besoin d'un support commercial, vous pouvez contacter Camille ou Faustine au service commercial Tranquil IT au 02.40.97.57.55
plegrand
Messages : 15
Inscription : 08 sept. 2015 - 09:03

09 oct. 2020 - 09:45

Bonjour,
je rencontre quelques soucis avec wapt.
Lors de la migration vers Samba 4 AD avec Tranquil IT, nous avions mis en place des paquets à installer sur les différents postes pour faciliter cette migration.
Voulant faire un peu le ménage j'ai supprimé pas mal de paquet que je jugeais inutiles.
Or je n'ai pas désinstallé ces paquets des postes avant de les supprimer du serveur.
Résultat je me retrouve avec des postes ayant des paquets à installer du type : 4C4C4544-0033-3610-8054-B3C04F42344A
Il m'est impossible sur un poste donné, d'oublier, de désinstaller ou d'installer ce paquet qui m'est inconnu.
Lors d'une tentative d'installation j'ai ce genre de message d'erreur :

Code : Tout sélectionner

Installing 4C4C4544-0033-3610-8054-B3C04F42344A

Installing 4C4C4544-0033-3610-8054-B3C04F42344A(=8)

Traceback (most recent call last):
  File "C:\Program Files\wapt\waptservice\service.py", line 1890, in run
    self.running_task.run()
  File "C:\Program Files\wapt\waptservice\waptservice_common.py", line 653, in run
    self._run()
  File "C:\Program Files\wapt\waptservice\waptservice_common.py", line 1126, in _run
    self.result.get('errors',[])))
Exception: Erreur lors de l'installation de [u'4C4C4544-0033-3610-8054-B3C04F42344A']: erreurs dans les paquets [[PackageRequest(package=u'4C4C4544-0033-3610-8054-B3C04F42344A',architectures=[u'x86'],locales=['fr'],maturities=[u'PROD'],target_os=[u'windows'],min_os_version=Version('6.1.7601'),max_os_version=Version('6.1.7601')), PackageEntry(u'4C4C4544-0033-3610-8054-B3C04F42344A',u'8' ), u'Traceback (most recent call last):\n  File "C:\\Program Files\\wapt\\common.py", line 4956, in install\n    force=force\n  File "C:\\Program Files\\wapt\\common.py", line 3964, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: Upgrade-Agent-Parc-Entier,iutchartres-shutdown-force,iutchartres-set-suffix\n']]

Exception: Erreur lors de l'installation de [u'4C4C4544-0033-3610-8054-B3C04F42344A']: erreurs dans les paquets [[PackageRequest(package=u'4C4C4544-0033-3610-8054-B3C04F42344A',architectures=[u'x86'],locales=['fr'],maturities=[u'PROD'],target_os=[u'windows'],min_os_version=Version('6.1.7601'),max_os_version=Version('6.1.7601')), PackageEntry(u'4C4C4544-0033-3610-8054-B3C04F42344A',u'8' ), u'Traceback (most recent call last):\n  File "C:\\Program Files\\wapt\\common.py", line 4956, in install\n    force=force\n  File "C:\\Program Files\\wapt\\common.py", line 3964, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: Upgrade-Agent-Parc-Entier,iutchartres-shutdown-force,iutchartres-set-suffix\n']]
Traceback (most recent call last):
  File "C:\Program Files\wapt\waptservice\service.py", line 1890, in run
    self.running_task.run()
  File "C:\Program Files\wapt\waptservice\waptservice_common.py", line 653, in run
    self._run()
  File "C:\Program Files\wapt\waptservice\waptservice_common.py", line 1126, in _run
    self.result.get('errors',[])))
Exception: Erreur lors de l'installation de [u'4C4C4544-0033-3610-8054-B3C04F42344A']: erreurs dans les paquets [[PackageRequest(package=u'4C4C4544-0033-3610-8054-B3C04F42344A',architectures=[u'x86'],locales=['fr'],maturities=[u'PROD'],target_os=[u'windows'],min_os_version=Version('6.1.7601'),max_os_version=Version('6.1.7601')), PackageEntry(u'4C4C4544-0033-3610-8054-B3C04F42344A',u'8' ), u'Traceback (most recent call last):\n  File "C:\\Program Files\\wapt\\common.py", line 4956, in install\n    force=force\n  File "C:\\Program Files\\wapt\\common.py", line 3964, in install_wapt\n    raise e\nEWaptUnavailablePackage: Missing dependencies: Upgrade-Agent-Parc-Entier,iutchartres-shutdown-force,iutchartres-set-suffix\n']]
Une idée de comment résoudre ce problème pour retrouver une installation propre et quasi vierge de WAPT?

Merci pour votre aide.

Pascal
Avatar de l’utilisateur
dcardon
Expert WAPT
Messages : 603
Inscription : 18 juin 2014 - 09:58
Localisation : Nantes
Contact :

15 oct. 2020 - 14:52

Bonjour plegrand,
les paquets sous forme de GUID 4C4C4544-0033-3610-8054-B3C04F42344A sont des paquets "virtuel" qui correspond à la conf de la machine, cf. la doc. On ne peut pas le supprimer, car il n'existe pas en pratique sur le poste. Côté serveur il existe bien en tant que paquet dans /wapt-host/ et contient la conf cible de la machine.
Cordialement,
Denis
Denis Cardon - Tranquil IT
Communiquez autour de vous sur WAPT! Envoyez nous vos url de blog et d'articles dans la catégorie votre avis du forum, nous les mettrons en avant sur le site WAPT
Répondre